> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all donations by a specific donor



## OpenAPI

````yaml get /admin/donors/{donor_id}/donations
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donors/{donor_id}/donations:
    get:
      tags:
        - Donations
      summary: Get all donations by a specific donor
      operationId: 8b740bd542f91271f2810e0c1fba80ec
      parameters:
        - name: donor_id
          in: path
          description: The ID of the donor
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  donations:
                    type: array
                    items:
                      type: object
                  sponsorships:
                    type: array
                    items:
                      type: object
                  funding_entities:
                    type: array
                    items:
                      type: object
                  donor:
                    type: object
                  hysform:
                    type: object
                  designations:
                    type: array
                    items:
                      type: object
                  commitments:
                    type: array
                    items:
                      type: object
                  useCC:
                    type: boolean
                  donorCardActive:
                    type: boolean
                  anyDonorCardActive:
                    type: boolean
                  name:
                    type: string
                  dntns:
                    type: object
                  emailsets:
                    type: array
                    items:
                      type: object
                  years:
                    type: array
                    items:
                      type: object
                  template_errors:
                    type: array
                    items:
                      type: object
                type: object
        '404':
          description: Donor not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Donor Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````